
package org.slf4j.impl;

/**
 *
 * @author Konstantinos Karadamoglou
 */
public class JDK11Level {
    
    private String name="";
    private int priority=-1;
    
    public static final JDK11Level DEBUG=new JDK11Level("DEBUG",1);
    public static final JDK11Level INFO=new JDK11Level("INFO",2);
    public static final JDK11Level WARN=new JDK11Level("WARN",3);
    public static final JDK11Level ERROR=new JDK11Level("ERROR",4);
    
    /** Creates a new instance of JDK11Level */
    private JDK11Level(String name, int priority) {
        this.name=name;
        this.priority=priority;
    }
    
    public static JDK11Level getLevel(String level){
        JDK11Level retLevel=null;
        
        if(level==null){
        	retLevel=null;
        }else if(level.equalsIgnoreCase(DEBUG.getName())){
            retLevel=DEBUG;
        }else if(level.equalsIgnoreCase(INFO.getName())){
            retLevel=INFO;
        }else if(level.equalsIgnoreCase(WARN.getName())){
            retLevel=WARN;
        }else if(level.equalsIgnoreCase(ERROR.getName())){
            retLevel=ERROR;
        }
        
        return retLevel;
    }
    
    public boolean isHigher(JDK11Level otherLevel){
        return this.priority > otherLevel.priority;
    }
    
    public boolean isEqualAndLower(JDK11Level otherLevel){
        return this.priority <= otherLevel.priority;
    }
    
    public String getName() {
        return name;
    }
    
    public int getPriority() {
        return priority;
    }
    
}
