
package org.slf4j.impl;

import java.io.IOException;
import java.io.InputStream;
import java.util.Hashtable;
import java.util.Properties;

import org.slf4j.Logger;
import org.slf4j.ILoggerFactory;


/**
 * An implementation of {@link ILoggerFactory} which always returns
 * {@link JDK11Logger} instances.
 *
 * @author Konstantinos Karadamoglou;
 */
public class JDK11LoggerFactory implements ILoggerFactory {
    
    /**
     * A default instance of SimpleLoggerFactory. This default instance may be used
     * to retrieve a simple logger as a last-resort fallback logger or as an alternative
     * logger at envyronments with feature restrictions (eg. applet).
     */
    public final static JDK11LoggerFactory INSTANCE = new JDK11LoggerFactory();
    
    Hashtable map;
    
    public JDK11LoggerFactory() {
        map = new Hashtable();
    }
    
    
    /**
     * Return an appropriate {@link SimpleLogger} instance by name.
     */
    public Logger getLogger(String name) {
        Logger slogger = (Logger) map.get(name);
        if(slogger == null) {
            slogger = new JDK11Logger(name);
            map.put(name, slogger);
        }
        return slogger;
    }
       
}
